using UnityEngine;

public static class Sound
{
    public static void PlayMusic()
    {
        AudioController.PlayMusic("music");
    }

    public static void PlayVoice(Attributes attribute)
    {
        string voiceAlias = null;

        switch (attribute)
        {
            case Attributes.Diplomacy:
                voiceAlias = "sfx-diplomacy-voice";
                break;
            case Attributes.Family:
                voiceAlias = "sfx-family-voice";
                break;
            case Attributes.Nobility:
                voiceAlias = "sfx-nobility-voice";
                break;
            case Attributes.People:
                voiceAlias = "sfx-people-voice";
                break;
            case Attributes.Religion:
                voiceAlias = "sfx-religion-voice";
                break;
        }

        AudioController.Play(voiceAlias);
    }

    public static void PlayMailArrivedVoice()
    {
        AudioController.Play("sfx-mail");
    }

    public static void PlayLetterOpening()
    {
        AudioController.Play("sfx-carta");
    }

    public static void PlayTrumpet()
    {
        AudioController.Play("sfx-trumpet");
    }
}